Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.pipeline
Class Pipeline

    java.lang.Object
      org.openxri.pipeline.Pipeline

All Implemented Interfaces:
  java.io.Serializable

    public class Pipeline

extends java.lang.Object
implements java.io.Serializable

A pipeline's job is to assemble an XRD. This is done by executing a number of stages which can each contribute to the XRD.

Author:
  =peacekeeper
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTRIBUTE_OVERRIDE_CREATE_PIPELINE` Authorities can override the CREATE pipeline by setting the value of this attribute to the name of one of the pipelines in the server configuration.
`static java.lang.String` | `ATTRIBUTE_OVERRIDE_LOOKUP_PIPELINE` Authorities can override the LOOKUP pipeline by setting the value of this attribute to the name of one of the pipelines in the server configuration.

Constructor Summary
`Pipeline(java.lang.String name, java.util.List<Stage> stages)`

Method Summary
`XRD` | `execute(Store store, XRD xrd, XRISegment segment, Authority parentAuthority, java.lang.String subSegmentName, Authority authority, boolean isCreate)` A pipeline is executed by consecutively executing all its stages.
`java.lang.String` | `getName()`
`Stage[]` | `getStages()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_OVERRIDE_CREATE_PIPELINE

    public static final java.lang.String ATTRIBUTE_OVERRIDE_CREATE_PIPELINE

  Authorities can override the CREATE pipeline by setting the value of this attribute to the name of one of the pipelines in the server configuration. This means that the overridden pipeline is executed instead of the default one whenever a new authority is created under this authority.

  See Also:
    Constant Field Values

### ATTRIBUTE_OVERRIDE_LOOKUP_PIPELINE

    public static final java.lang.String ATTRIBUTE_OVERRIDE_LOOKUP_PIPELINE

  Authorities can override the LOOKUP pipeline by setting the value of this attribute to the name of one of the pipelines in the server configuration. This means that the overridden pipeline is executed instead of the default one whenever this authority is resolved.

  See Also:
    Constant Field Values

Constructor Detail

### Pipeline

    public Pipeline(java.lang.String name,
                    java.util.List<Stage> stages)

Method Detail

### getName

    public java.lang.String getName()

### getStages

    public Stage[] getStages()

### execute

    public XRD execute(Store store,
                       XRD xrd,
                       XRISegment segment,
                       Authority parentAuthority,
                       java.lang.String subSegmentName,
                       Authority authority,
                       boolean isCreate)
                throws StageException

  A pipeline is executed by consecutively executing all its stages. The result XRD of one stage becomes the input XRD of the next.

  Parameters:
    `store` - The store from which the authorities were retrieved.
    `xrd` - A XRD that is passed into the pipeline.
    `segment` - The XRI segment that resolves to the XRD being processed.
    `parent` - The parent authority, i.e. the authority describing the XRD.
    `subSegmentName` - The name of the subsegment that connects the two authorities.
    `authority` - The authority, i.e. the authority described by the XRD.
  Returns:
    The result XRD of the pipeline.
  Throws:
    `StageException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.